Index: sasmodels/models/barbell.c
===================================================================
--- sasmodels/models/barbell.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/barbell.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -80,4 +80,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return radius_from_volume(radius_bell, radius , length);
Index: sasmodels/models/capped_cylinder.c
===================================================================
--- sasmodels/models/capped_cylinder.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/capped_cylinder.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -102,4 +102,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return radius_from_volume(radius, radius_cap, length);
Index: sasmodels/models/core_multi_shell.c
===================================================================
--- sasmodels/models/core_multi_shell.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/core_multi_shell.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -29,4 +29,5 @@
 {
   switch (mode) {
+  default:
   case 1: // outer radius
     return outer_radius(core_radius, fp_n, thickness);
Index: sasmodels/models/core_shell_bicelle.c
===================================================================
--- sasmodels/models/core_shell_bicelle.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/core_shell_bicelle.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -55,4 +55,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return radius_from_volume(radius, thick_rim, thick_face, length);
Index: sasmodels/models/core_shell_bicelle_elliptical.c
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/core_shell_bicelle_elliptical.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -30,4 +30,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return radius_from_volume(r_minor, x_core, thick_rim, thick_face, length);
Index: sasmodels/models/core_shell_bicelle_elliptical_belt_rough.c
===================================================================
--- sasmodels/models/core_shell_bicelle_elliptical_belt_rough.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/core_shell_bicelle_elliptical_belt_rough.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -31,4 +31,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return radius_from_volume(r_minor, x_core, thick_rim, thick_face, length);
Index: sasmodels/models/core_shell_cylinder.c
===================================================================
--- sasmodels/models/core_shell_cylinder.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/core_shell_cylinder.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -32,4 +32,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return radius_from_volume(radius, thickness, length);
Index: sasmodels/models/core_shell_ellipsoid.c
===================================================================
--- sasmodels/models/core_shell_ellipsoid.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/core_shell_ellipsoid.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -74,4 +74,5 @@
 
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return radius_from_volume(radius_equat_core, x_core, thick_shell, x_polar_shell);
Index: sasmodels/models/core_shell_parallelepiped.c
===================================================================
--- sasmodels/models/core_shell_parallelepiped.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/core_shell_parallelepiped.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -47,4 +47,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return radius_from_volume(length_a, length_b, length_c, thick_rim_a, thick_rim_b, thick_rim_c);
Index: sasmodels/models/core_shell_sphere.c
===================================================================
--- sasmodels/models/core_shell_sphere.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/core_shell_sphere.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -9,4 +9,5 @@
 {
     switch (mode) {
+    default:
     case 1: // outer radius
         return radius + thickness;
Index: sasmodels/models/cylinder.c
===================================================================
--- sasmodels/models/cylinder.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/cylinder.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -29,4 +29,5 @@
 {
     switch (mode) {
+    default:
     case 1:
         return radius_from_volume(radius, length);
Index: sasmodels/models/ellipsoid.c
===================================================================
--- sasmodels/models/ellipsoid.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/ellipsoid.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -35,4 +35,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return radius_from_volume(radius_polar, radius_equatorial);
Index: sasmodels/models/elliptical_cylinder.c
===================================================================
--- sasmodels/models/elliptical_cylinder.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/elliptical_cylinder.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -37,4 +37,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return radius_from_volume(radius_minor, r_ratio, length);
Index: sasmodels/models/fuzzy_sphere.c
===================================================================
--- sasmodels/models/fuzzy_sphere.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/fuzzy_sphere.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -8,4 +8,5 @@
 {
     switch (mode) {
+    default:
     case 1: // radius
         return radius;
Index: sasmodels/models/hollow_cylinder.c
===================================================================
--- sasmodels/models/hollow_cylinder.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/hollow_cylinder.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -30,4 +30,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return radius_from_volume(radius, thickness, length);
Index: sasmodels/models/hollow_rectangular_prism.c
===================================================================
--- sasmodels/models/hollow_rectangular_prism.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/hollow_rectangular_prism.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -26,4 +26,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return cbrt(cube(length_a)*b2a_ratio*c2a_ratio/M_4PI_3);
Index: sasmodels/models/hollow_rectangular_prism_thin_walls.c
===================================================================
--- sasmodels/models/hollow_rectangular_prism_thin_walls.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/hollow_rectangular_prism_thin_walls.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -21,4 +21,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return cbrt(cube(length_a)*b2a_ratio*c2a_ratio/M_4PI_3);
Index: sasmodels/models/mono_gauss_coil.c
===================================================================
--- sasmodels/models/mono_gauss_coil.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/mono_gauss_coil.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -8,4 +8,5 @@
 {
     switch (mode) {
+    default:
     case 1: // R_g
         return rg;
Index: sasmodels/models/parallelepiped.c
===================================================================
--- sasmodels/models/parallelepiped.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/parallelepiped.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -9,4 +9,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return cbrt(length_a*length_b*length_c/M_4PI_3);
Index: sasmodels/models/pringle.c
===================================================================
--- sasmodels/models/pringle.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/pringle.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -108,4 +108,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return cbrt(M_PI*radius*radius*thickness/M_4PI_3);
Index: sasmodels/models/raspberry.c
===================================================================
--- sasmodels/models/raspberry.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/raspberry.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -18,4 +18,5 @@
 {
     switch (mode) {
+    default:
     case 1: // radius_large
         return radius_lg;
Index: sasmodels/models/rectangular_prism.c
===================================================================
--- sasmodels/models/rectangular_prism.c	(revision 6d5601c093974f5ce8566602e73b64da56f7f3f3)
+++ sasmodels/models/rectangular_prism.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -9,4 +9,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return cbrt(cube(length_a)*b2a_ratio*c2a_ratio/M_4PI_3);
Index: sasmodels/models/triaxial_ellipsoid.c
===================================================================
--- sasmodels/models/triaxial_ellipsoid.c	(revision ee60aa768b29c58e20b19e94578ec3a94a0889d7)
+++ sasmodels/models/triaxial_ellipsoid.c	(revision d42dd4a6467163ad6ef165b733218fc2181ec1de)
@@ -31,4 +31,5 @@
 {
     switch (mode) {
+    default:
     case 1: // equivalent sphere
         return radius_from_volume(radius_equat_minor,radius_equat_major, radius_polar);
